<div class="ibox-filter">

  <div id="activity-filter-body" class="collapse show">

    <div class="p-2">

      <form [formGroup]="formGroup" (ngSubmit)="onSubmit()" appFocusInvalidInput autocomplete="off">

        <div class="row">

          <div class="col-md-2 mt-2">
            <ngx-select [items]="EntiteList"
                        [optionValueField]="'code'"
                        [optionTextField]="'value'"
                        [allowClear]=true
                        formControlName="entite"
                        [placeholder]="'FIELD.POSITION.ENTITE'|translate"
                        size='small'
                        (select)='Onchange($event)'
                        (remove)='Onclear()'>
            </ngx-select>
          </div>

          <div class="col-md-2 mt-2">
            <ngx-select [items]="PortefeuilleList"
                        [optionValueField]="'code'"
                        [optionTextField]="'value'"
                        [allowClear]=true
                        formControlName="portefeuille"
                        [placeholder]="'FIELD.POSITION.PORTFEUILLE'|translate"
                        size='small'
                        (remove)='OnclearPortf()'>
            </ngx-select>

            <div *ngIf="formGroup.get('portefeuille').invalid && showValidationsMsg">
              <div *ngIf="formGroup.get('portefeuille').errors.required" class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>
          </div>

          <div class="col-md-2 mt-2">
            <input type="text" class="form-control form-control-sm" formControlName="dateDebut" [placeholder]="'FIELD.POSITION.DATE_DEBUT'|translate"
                   [max]="formGroup?.get('dateFin')?.value" [owlDateTime]="dd">
            <span class="trigger date-trigger-icon" [owlDateTimeTrigger]="dd" [title]="'FIELD.PLEASE.CHOOSE'|translate">
                      <i class="ri-calendar-line"></i></span>
            <owl-date-time #dd [pickerType]="'calendar'"></owl-date-time>

            <div *ngIf="formGroup.get('dateDebut').invalid && showValidationsMsg">
              <div *ngIf="formGroup.get('dateDebut').errors.required" class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>
          </div>

          <div class="col-md-2 mt-2">
            <input type="text" class="form-control form-control-sm" formControlName="dateFin" [placeholder]="'FIELD.POSITION.DATE_FIN'|translate"
                   [min]="formGroup?.get('dateDebut')?.value" [owlDateTime]="df">
            <span class="trigger date-trigger-icon" [owlDateTimeTrigger]="df" [title]="'FIELD.PLEASE.CHOOSE'|translate">
                      <i class="ri-calendar-line"></i></span>
            <owl-date-time #df [pickerType]="'calendar'"></owl-date-time>

            <div *ngIf="formGroup.get('dateFin').invalid && showValidationsMsg">
              <div *ngIf="formGroup.get('dateFin').errors.required" class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>
          </div>

          <div class="col-md-4 buttons-oriontation text-left mt-2">
            <button type="button" class="reset-button btn btn-sm mr-2" [title]="'FIELD.BUTTONS.RESET'|translate"
                    (click)="initFormGroup(); onSubmit()"><i class="ri-arrow-go-back-line"></i> </button>
            <button type="submit" class="submit-button btn  btn-sm" [title]="'FIELD.BUTTONS.SEARCH'|translate"><i
              class="ri-search-2-line"></i></button>
          </div>

        </div>

      </form>

    </div>

  </div>

</div>
